Skip to navigation

GetSuccessorPlanInformation

View as Markdown

This function requests the current plan information and a list of successor plans, plans that the current plan could be rolled into, associated with the given distributor code and account.

GetSuccessorPlanInformation takes the arguments: | Name | Schema Type | Description | | --- | --- | --- | | DistributorCode | String | The Distributor Code that identifies the billing plan groups and plans. | | DistributorPassword | String | The Distributor Password for the DistributorCode. | | AccountId | String | The Account ID for the account for which information is being requested. |

Sample Request XML

POST /api/3.0/accountmanagement.asmx HTTP/1.1
Host: docusign.net
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://www.docusign.net/API/AccountManagement/GetSuccessorPlanInformation"
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap: Body>
<GetSuccessorPlanInformation xmlns="http://www.docusign.net/API/AccountManagement">
<DistributorCode>string</DistributorCode>
<DistributorPassword>string</DistributorPassword>
<AccountId>string</AccountId>
</GetSuccessorPlanInformation>
</soap:Body>
</soap:Envelope>

The function returns the current plan information and a list of successor plans for the distributor code and account. The following information included in the result: | Name | Schema Type | Description | | --- | --- | --- | | CurrentPlan | CurrentPlan | A complex type that returns the pricing plan information for the current plan. The information in this complex type is the same as the return from the GetPricingPlanInformation call. See the return information for the GetPlanPricingInformation section for the information returned. | | SuccessorPlan | SucessorPlan | The list of SuccessorPlans. One of the plans in the list could be selected to succeed the current plan. The SuccessorPlan information in this complex type is the same as the return from the GetPricingPlanInformation call. See the return information for the GetPlanPricingInformation section for the information returned. |

Sample Response XML

HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap: Body>
<GetSuccessorPlanInformationResponse xmlns="http://www.docusign.net/API/AccountManagement">
<GetSuccessorPlanInformationResult>
<CurrentPlan>
<PlanName>string</PlanName>
<PaymentCycle>Monthly or Annually</PaymentCycle>
<PaymentMethod>CreditCard or PurchaseOrder or Premium or Freemium</PaymentMethod>
<PerSeatPrice>decimal</PerSeatPrice>
<OtherDiscountPercent>decimal</OtherDiscountPercent>
<SupportIncidentFee>decimal</SupportIncidentFee>
<SupportPlanFee>decimal</SupportPlanFee>
<IncludedSeats>integer</IncludedSeats>
<EnableSupport>boolean</EnableSupport>
<PgpId>string</PgpId>
<SeatDiscounts>
<SeatDiscount xsi:nil="true" />
<SeatDiscount xsi:nil="true" />
</SeatDiscounts>
</CurrentPlan>
<SuccessorPlans>
<SuccessorPlan>
<PlanName>string</PlanName>
<PaymentCycle>Monthly or Annually</PaymentCycle>
<PaymentMethod>CreditCard or PurchaseOrder or Premium or Freemium</PaymentMethod>
<PerSeatPrice>decimal</PerSeatPrice>
<OtherDiscountPercent>decimal</OtherDiscountPercent>
<SupportIncidentFee>decimal</SupportIncidentFee>
<SupportPlanFee>decimal</SupportPlanFee>
<IncludedSeats>integer</IncludedSeats>
<EnableSupport>boolean</EnableSupport>
<PgpId>string</PgpId>
<SeatDiscounts xsi:nil="true" />
</SuccessorPlan>
<SuccessorPlan>
<PlanName>string</PlanName>
<PaymentCycle>Monthly or Annually</PaymentCycle>
<PaymentMethod>CreditCard or PurchaseOrder or Premium or Freemium</PaymentMethod>
<PerSeatPrice>decimal</PerSeatPrice>
<OtherDiscountPercent>decimal</OtherDiscountPercent>
<SupportIncidentFee>decimal</SupportIncidentFee>
<SupportPlanFee>decimal</SupportPlanFee>
<IncludedSeats>integer</IncludedSeats>
<EnableSupport>boolean</EnableSupport>
<PgpId>string</PgpId>
<SeatDiscounts xsi:nil="true" />
</SuccessorPlan>
</SuccessorPlans>
<Success>boolean</Success>
<Error>
<ErrorCode>Unspecified_Error or Invalid_Account_ID or Account_Requires_User_Name_And_Password_For_Activation or Account_Is_Already_Activated_For_Salesforce or Invalid_Distributor_For_Account or Invalid_User_ID or Invalid_Account or User_Is_Not_An_Account_Manager or Invalid_Login or Invalid_Member_User_Name or Invalid_Member_Email or Member_Email_Not_Allowed or Member_Email_And_User_Name_Awaiting_Activation or Member_Email_And_User_Name_Already_Exists_For_This_Account or Member_Password_Blank or Member_Forgotten_Password_Question_Blank or Member_Forgotten_Password_Answer_Blank or Invalid_Password_Format or Invalid_Member_Data or Member_Email_And_User_Name_Already_Exists or Not_Authorized or Invalid_Distributor_Selected or Invalid_PGP_For_Distributor or Invalid_Credit_Card_Type or CreditCard_Auth_Failed or Invalid_PGP or Invalid_Plan_Retired or Invalid_Successor_Plan or Invalid_Credit_Card or Credit_Card_Expiration or Invalid_AppToken or Distributor_Not_Enabled_For_AppToken or Plan_Group_Not_Enabled_For_Distributor or Invalid_Configuration_Number or Invalid_Salesforce_Credentials or Invalid_Salesforce_External_Instance_ID or Invalid_Docusign_Connect_Configuration_For_Account or Invalid_User or Invalid_Membership or Invalid_Account_Member or Invalid_Edit_User or Invalid_Edit_Membership or Invalid_CanEditSharedAddressBook_Value or Invalid_CanManageTemplates_Value or Invalid_Membership_ID or Invalid_Request or Partner_Authentication_Failed</ErrorCode>
<Description>string</Description>
</Error>
</GetSuccessorPlanInformationResult>
</GetSuccessorPlanInformationResponse>
</soap:Body>
</soap:Envelope>